#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
  django_excel_export : Export your django database into Excel documents
  (C)2010 - Apidev - http://www.apidev.fr
  This is distributed under GNU LGPL license, see license.txt

 -- Setup --------------------

 1) Developped with Django 1.2 and Python 2.6
 
 2) south is recommended  but not mandatory

 3) Add 'excel_export' to INSTALLED_APPS
 
 4) You can define which applications you want to make exportable. Add the following in settings.py
 
EXCEL_EXPORTABLE_APPS = (
    'app1',
    'another_app'
)

Go to the admin and create a new export. Fill in the name and Choose the table you want to export.

Click 'Save And Continue' and then click on the 'Export' button at the right of the name field

Your browser should download an xls file with the corresponding data

You can choose the column you want to export. It accepts '__' in order to access foreign keys:
'country__name' will prints the 'name' field of the 'country' foreign key field

You can filter data by giving a field, a value and a lookup method. It accepts '__' for foreign key fields too.



 5) You can create custom export function. You need to declare it in the settings.py

EXCEL_REPORT_VIEWS = (
    ('app1.exports.my_export_function', 'MyExport'),
)

and then create the corresponding function in the exports.py of your application:

def my_export_function():
    return [
        #each list is a line in spreadsheet
        ['A', 'B', 'C'], #1st list is the header
        [1, 2, 3],
        [4, 5, 6],
    ]

Go to the admin and create a new export. Fill in the name and Choose 'MyExport' as Report

Click 'Save And Continue' and then click on the 'Export' button at the right of the name field

Your browser should download an xls file with the corresponding data



 6) feedback, ideas and improvements are welcomed :)

"""

VERSION = "0.1"