# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):
    
    def forwards(self, orm):
        
        # Adding model 'Export'
        db.create_table('excel_export_export', (
            ('table', self.gf('django.db.models.fields.CharField')(max_length=40)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('excel_export.models.NoSpaceCharField')(unique=True, max_length=40)),
        ))
        db.send_create_signal('excel_export', ['Export'])

        # Adding model 'Column'
        db.create_table('excel_export_column', (
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=1)),
            ('label', self.gf('django.db.models.fields.CharField')(max_length=40, blank=True)),
            ('export', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['excel_export.Export'])),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('col', self.gf('django.db.models.fields.CharField')(max_length=40)),
        ))
        db.send_create_signal('excel_export', ['Column'])

        # Adding model 'Filter'
        db.create_table('excel_export_filter', (
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=1)),
            ('value', self.gf('django.db.models.fields.CharField')(max_length=40)),
            ('col', self.gf('django.db.models.fields.CharField')(max_length=40)),
            ('export', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['excel_export.Export'])),
            ('lookup', self.gf('django.db.models.fields.CharField')(default='exact', max_length=40)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal('excel_export', ['Filter'])
    
    
    def backwards(self, orm):
        # Deleting model 'Export'
        db.delete_table('excel_export_export')

        # Deleting model 'Column'
        db.delete_table('excel_export_column')

        # Deleting model 'Filter'
        db.delete_table('excel_export_filter')
    
    
    models = {
        'excel_export.column': {
            'Meta': {'object_name': 'Column'},
            'col': ('django.db.models.fields.CharField', [], {'max_length': '40'}),
            'export': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['excel_export.Export']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'label': ('django.db.models.fields.CharField', [], {'max_length': '40', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '1'})
        },
        'excel_export.export': {
            'Meta': {'object_name': 'Export'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('excel_export.models.NoSpaceCharField', [], {'unique': 'True', 'max_length': '40'}),
            'table': ('django.db.models.fields.CharField', [], {'max_length': '40'})
        },
        'excel_export.filter': {
            'Meta': {'object_name': 'Filter'},
            'col': ('django.db.models.fields.CharField', [], {'max_length': '40'}),
            'export': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['excel_export.Export']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lookup': ('django.db.models.fields.CharField', [], {'default': "'exact'", 'max_length': '40'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '40'})
        }
    }
    
    complete_apps = ['excel_export']
